Bug 124905 - new port: databases/sqlitejdbc 051
Summary: new port: databases/sqlitejdbc 051
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-23 15:20 UTC by Lapo Luchini
Modified: 2008-12-16 08:20 UTC (History)
1 user (show)

See Also:


Attachments
pr-sqlitejdbc (3.92 KB, text/plain)
2008-06-23 15:20 UTC, Lapo Luchini
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lapo Luchini 2008-06-23 15:20:01 UTC

    
Comment 1 Lapo Luchini 2008-06-27 11:37:56 UTC
If ports/125004 gets committed, the pkg-message in this port should be 
deleted as it no longer applies.
Comment 2 Lapo Luchini 2008-06-30 16:33:27 UTC
Upgrade to version 052 (the WRKSRC has changed, and is now equal to 
DISTNAME, so I switched using DISTVERSION{PRE,SUF}FIX):

diff -ruN sqlitejdbc-051/Makefile sqlitejdbc/Makefile
--- sqlitejdbc-051/Makefile	2008-06-30 10:47:39.000000000 +0200
+++ sqlitejdbc/Makefile	2008-06-30 17:29:46.000000000 +0200
@@ -6,17 +6,18 @@
  #

  PORTNAME=	sqlitejdbc
-PORTVERSION=	051
+PORTVERSION=	052
+DISTVERSIONPREFIX=	v
+DISTVERSIONSUFFIX=	-src
  CATEGORIES=	databases java
  MASTER_SITES=	http://files.zentus.com/sqlitejdbc/
-DISTFILES=	${PORTNAME}-v${PORTVERSION}-src.tgz
+EXTRACT_SUFX=	.tgz

  MAINTAINER=	lapo@lapo.it
  COMMENT=	A Java JDBC driver for SQLite

  LIB_DEPENDS=	sqlite3:${PORTSDIR}/databases/sqlite3

-WRKSRC=		${WRKDIR}/${PORTNAME}-v${PORTVERSION}
  USE_JAVA=	yes
  JAVA_VERSION=	1.4+
  USE_GMAKE=	yes
diff -ruN sqlitejdbc-051/distinfo sqlitejdbc/distinfo
--- sqlitejdbc-051/distinfo	2008-06-30 10:47:39.000000000 +0200
+++ sqlitejdbc/distinfo	2008-06-30 10:48:03.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (sqlitejdbc-v051-src.tgz) = 324faedc173dc473deaf301628ba4a33
-SHA256 (sqlitejdbc-v051-src.tgz) = 
cf38de9399df08f127d3812a3745e723e6a008b7edad3a9e94e21b359b2ddb41
-SIZE (sqlitejdbc-v051-src.tgz) = 838643
+MD5 (sqlitejdbc-v052-src.tgz) = 4a98d52e522f4305b445e7b21daaf725
+SHA256 (sqlitejdbc-v052-src.tgz) = 
a35e8680d1be8f038f5f4019d0073faa08eff10ea949e61929f4136b7a56a97a
+SIZE (sqlitejdbc-v052-src.tgz) = 169043
Comment 3 dfilter service freebsd_committer 2008-12-16 08:14:35 UTC
fjoe        2008-12-16 08:14:26 UTC

  FreeBSD ports repository

  Modified files:
    java                 Makefile 
  Added files:
    java/sqlitejdbc      Makefile distinfo pkg-descr pkg-message 
    java/sqlitejdbc/files patch-Makefile 
  Log:
  New port: SQLiteJDBC is a Java JDBC driver for SQLite.
  
  It runs using either a native code library or a 100% Pure Java driver
  based on NestedVM emulation (but in this package only the native version
  is installed).
  
  PR:             124905
  Submitted by:   Lapo Luchini
  
  Revision  Changes    Path
  1.213     +1 -0      ports/java/Makefile
  1.1       +37 -0     ports/java/sqlitejdbc/Makefile (new)
  1.1       +3 -0      ports/java/sqlitejdbc/distinfo (new)
  1.1       +28 -0     ports/java/sqlitejdbc/files/patch-Makefile (new)
  1.1       +7 -0      ports/java/sqlitejdbc/pkg-descr (new)
  1.1       +6 -0      ports/java/sqlitejdbc/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Khon freebsd_committer 2008-12-16 08:16:02 UTC
State Changed
From-To: open->closed

Committed, thanks!